## org.eclipse.ocl.expressions
Interface PrimitiveLiteralExp<C>

All Superinterfaces:
  ASTNode, EObject, LiteralExp<C>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  BooleanLiteralExp<C>, BooleanLiteralExp, BooleanLiteralExp, IntegerLiteralExp<C>, IntegerLiteralExp, IntegerLiteralExp, NumericLiteralExp<C>, NumericLiteralExp, NumericLiteralExp, PrimitiveLiteralExp, PrimitiveLiteralExp, RealLiteralExp<C>, RealLiteralExp, RealLiteralExp, StringLiteralExp<C>, StringLiteralExp, StringLiteralExp, UnlimitedNaturalLiteralExp<C>, UnlimitedNaturalLiteralExp, UnlimitedNaturalLiteralExp

All Known Implementing Classes:
  BooleanLiteralExpImpl, BooleanLiteralExpImpl, BooleanLiteralExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl

    public interface PrimitiveLiteralExp<C>

extends LiteralExp<C>

A representation of the model object 'Primitive Literal Exp'.

See Also:
  `ExpressionsPackage.getPrimitiveLiteralExp()`

Method Summary

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.